using Edu.Common.Plugin;

namespace Edu.Common.Enum.User
{
    ///0 缺卡 1正常 2 迟到  3外勤  4出差  5请假  6补卡 
    public enum AttendanceEnum
    {
        /// <summary>
        /// 缺卡
        /// </summary>
        [EnumField("缺卡")]
        QK = 0,
        /// <summary>
        /// 正常
        /// </summary>
        [EnumField("正常")]
        ZC = 1,
        /// <summary>
        /// 迟到
        /// </summary>
        [EnumField("迟到")]
        CD = 2,
        /// <summary>
        /// 外勤
        /// </summary>
        [EnumField("外勤")]
        WQ = 3,
        /// <summary>
        /// 出差
        /// </summary>
        [EnumField("出差")]
        CC = 4,
        /// <summary>
        /// 请假
        /// </summary>
        [EnumField("请假")]
        QJ = 5,
        /// <summary>
        /// 补卡
        /// </summary>
        [EnumField("补卡")]
        BK = 6
    }
}